
Katello - Bug #6647

Foreman organization API destroy routes (DELETE /api/v2/organizations/1 and DELETE

/api/v1/organizations/1) are still accessible

07/16/2014 02:11 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: API   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1120335 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/446
Description

Related issues:

Related to Katello - Bug #6707: Remove or update the V1 API Rejected 07/21/2014

Related to Katello - Bug #6708: Have the /api/v2/organization routes point to... Rejected 07/21/2014

Related to Foreman - Feature #9375: Find a way for plugins to easily override... Rejected 02/13/2015

Associated revisions

Revision 0a139060 - 07/23/2014 02:07 PM - David Davis

Fixes #6647,BZ1120335 - Remove old foreman org destroy routes

Removing old foreman destroy routes since they don't use dynflow to delete

organizations.

Revision 9919e0ba - 07/25/2014 08:31 AM - David Davis

Merge pull request #4463 from daviddavis/temp/20140721155712

Fixes #6647,BZ1120335 - Remove old foreman org destroy routes

History

#1 - 07/16/2014 02:45 PM - Partha Aji

- Bugzilla link set to 1120335

#2 - 07/16/2014 03:08 PM - David Davis

- Priority changed from Normal to Low

#3 - 07/16/2014 03:09 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4441 added

- Pull request deleted ()

#4 - 07/17/2014 03:29 PM - David Davis

- Status changed from Ready For Testing to New

- Assignee deleted (David Davis)

- Pull request  added

- Pull request deleted (https://github.com/Katello/katello/pull/4441)

#5 - 07/17/2014 04:39 PM - David Davis
- Subject changed from Organization destroy API (/api/v2/organizations/1) does not use dynflow destroy to Foreman organization API (e.g.

/api/v2/organizations/1) is still accessible

I was trying to approach this by pointing the route at the katello org controller. However, I think the better solution though is to remove the old routes. I

don't think there should exist routes that aren't in our api docs.

#6 - 07/21/2014 03:57 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4463 added

- Pull request deleted ()

#7 - 07/21/2014 04:03 PM - David Davis

- Assignee set to David Davis

#8 - 07/21/2014 04:45 PM - David Davis

- Related to Bug #6707: Remove or update the V1 API added

#9 - 07/21/2014 04:59 PM - David Davis

- Related to Bug #6708: Have the /api/v2/organization routes point to our Organization controller in Katello added

#10 - 07/21/2014 07:42 PM - David Davis

- Subject changed from Foreman organization API (e.g. /api/v2/organizations/1) is still accessible to Foreman organization API destroy routes

(DELETE /api/v2/organizations/1 and DELETE /api/v1/organizations/1) are still accessible

Making this more specific to org destroy since I need to also fix v1. Plus, #6708 should fix the Foreman organizations API.

#11 - 07/21/2014 07:47 PM - David Davis

- Priority changed from Low to Normal

#12 - 07/25/2014 09:01 AM - David Davis

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|0a13906065658adf5695da9de720db683c6ac715.

#13 - 08/22/2014 09:22 AM - Eric Helms

- translation missing: en.field_release set to 13

#14 - 02/13/2015 11:15 AM - David Davis

- Related to Feature #9375: Find a way for plugins to easily override the behavior of taxonomies controller actions added
